<?php

new \Kirki\Pro\Field\Headline( [
    'settings'    => 'title_tagline_heading_logo',
	'label'       => esc_html__( 'Site Logo', 'talemy' ),
	'priority'    => 6,
    'section'     => 'title_tagline'
] );

new \Kirki\Field\Image( [
    'settings' => 'logo',
    'label'    => esc_html__( 'Logo', 'talemy' ),
    'section'  => 'title_tagline',
    'default'  => '',
    'priority' => 8,
] );

new \Kirki\Field\Image( [
    'settings'    => 'logo_retina',
    'label'       => esc_html__( 'Retina Logo', 'talemy' ),
    'description' => esc_html__( '2x size of Logo', 'talemy' ),
    'section'     => 'title_tagline',
    'default'     => '',
    'priority'    => 8,
] );

new \Kirki\Field\Dimensions( [
    'settings'    => 'logo_dimensions',
    'description' => esc_html__( 'eg. 168px', 'talemy' ),
    'label'       => esc_html__( 'Logo Dimensions', 'talemy' ),
    'section'     => 'title_tagline',
    'priority'    => 8,
    'default'     => array(
        'width'  => '',
        'height' => '',
    ),
] );

new \Kirki\Pro\Field\Headline( [
    'settings'    => 'title_tagline_heading_logo_alt',
	'label'       => esc_html__( 'Site Logo ( Mobile & Sticky )', 'talemy' ),
	'priority'    => 8,
    'section'     => 'title_tagline'
] );

new \Kirki\Field\Image( [
    'settings'    => 'logo_alt',
    'label'       => esc_html__( 'Logo', 'talemy' ),
    'section'     => 'title_tagline',
    'default'     => '',
    'priority'    => 8,
] );

new \Kirki\Field\Image( [
    'settings' => 'logo_alt_retina',
    'label'    => esc_html__( 'Retina Logo', 'talemy' ),
    'section'  => 'title_tagline',
    'default'  => '',
    'priority' => 8,
] );

new \Kirki\Field\Dimensions( [
    'settings'    => 'logo_alt_dimensions',
    'description' => esc_html__( 'eg. 168px', 'talemy' ),
    'label'       => esc_html__( 'Logo Dimensions', 'talemy' ),
    'section'     => 'title_tagline',
    'priority'    => 8,
    'default'     => array(
        'width'  => '',
        'height' => '',
    ),
] );

new \Kirki\Pro\Field\Headline( [
    'settings'    => 'title_tagline_heading_site_icon',
	'label'       => esc_html__( 'Site Icon', 'talemy' ),
	'priority'    => 9,
    'section'     => 'title_tagline'
] );

new \Kirki\Pro\Field\Headline( [
    'settings'    => 'title_tagline_heading_title_tagline',
	'label'       => esc_html__( 'Site Title & Tagline', 'talemy' ),
	'priority'    => 12,
    'section'     => 'title_tagline'
] );